Package com.io7m.cardant.database.api

# Interface CADatabaseQueriesTypesType

All Superinterfaces:
  `CADatabaseQueriesType`

All Known Subinterfaces:
  `CADatabaseQueriesTypesType.TypeDeclarationGetMultipleType`, `CADatabaseQueriesTypesType.TypeDeclarationGetType`, `CADatabaseQueriesTypesType.TypeDeclarationPutType`, `CADatabaseQueriesTypesType.TypeDeclarationRemoveType`, `CADatabaseQueriesTypesType.TypeDeclarationsReferencingScalarType`, `CADatabaseQueriesTypesType.TypeDeclarationsSearchType`, `CADatabaseQueriesTypesType.TypeScalarGetType`, `CADatabaseQueriesTypesType.TypeScalarPutType`, `CADatabaseQueriesTypesType.TypeScalarRemoveType`, `CADatabaseQueriesTypesType.TypeScalarSearchType`

All Known Implementing Classes:
  `CADBQTypeDeclGet`, `CADBQTypeDeclGetMultiple`, `CADBQTypeDeclPut`, `CADBQTypeDeclRemove`, `CADBQTypeDeclsReferencingScalar`, `CADBQTypeDeclsSearch`, `CADBQTypeScalarGet`, `CADBQTypeScalarPut`, `CADBQTypeScalarRemove`, `CADBQTypeScalarSearch`

public sealed interface CADatabaseQueriesTypesType extends CADatabaseQueriesType permits CADatabaseQueriesTypesType.TypeDeclarationRemoveType, CADatabaseQueriesTypesType.TypeDeclarationPutType, CADatabaseQueriesTypesType.TypeDeclarationGetType, CADatabaseQueriesTypesType.TypeDeclarationGetMultipleType, CADatabaseQueriesTypesType.TypeDeclarationsReferencingScalarType, CADatabaseQueriesTypesType.TypeDeclarationsSearchType, CADatabaseQueriesTypesType.TypeScalarGetType, CADatabaseQueriesTypesType.TypeScalarSearchType, CADatabaseQueriesTypesType.TypeScalarRemoveType, CADatabaseQueriesTypesType.TypeScalarPutType
Model database queries (Types).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `CADatabaseQueriesTypesType.TypeDeclarationGetMultipleType`
  Get multiple type declarations.
  `static interface`
  `CADatabaseQueriesTypesType.TypeDeclarationGetType`
  Get a type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeDeclarationPutType`
  Create or update a type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeDeclarationRemoveType`
  Remove a type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeDeclarationsReferencingScalarType`
  Search for type declarations that reference the scalar type with the given name.
  `static interface`
  `CADatabaseQueriesTypesType.TypeDeclarationsSearchType`
  Search for type declarations.
  `static interface`
  `CADatabaseQueriesTypesType.TypeScalarGetType`
  Get a scalar type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeScalarPutType`
  Create or update a scalar type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeScalarRemoveType`
  Remove a scalar type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeScalarSearchType`
  Search for scalar type declarations.

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`